/***************************************************************
 * Name:      wx011Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-30
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifndef WX011MAIN_H
#define WX011MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "wx011App.h"
#include "scroll.h"

class wx011Frame: public wxFrame
{
    public:
        wx011Frame(wxFrame *frame, const wxString& title);
        ~wx011Frame();
    private:
        enum
        {
            idMenuQuit = 1000,
            idMenuAbout,
            idMenuScroll
        };
        datosScroll dataScroll;
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnScroll(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};


#endif // WX011MAIN_H
